# org.pdfclown.documents.contents.ExtGState Class Reference

Graphics state parameters [PDF:1.6:4.3.4]. More...

Inheritance diagram for org.pdfclown.documents.contents.ExtGState:

List of all members.

## Public Member Functions
void | ApplyTo (ContentScanner.GraphicsState state)
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
| ExtGState (Document context)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static ExtGState | Wrap (PdfDirectObject baseObject)
| Wraps the specified base object into a graphics state parameter dictionary object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
bool | AlphaShape`[get, set]`
| Gets/Sets whether the current soft mask and alpha constant are to be interpreted as shape values instead of opacity values.
virtual PdfDirectObject | BaseObject`[get, set]`
IList< BlendModeEnum > | BlendMode`[get, set]`
| Gets/Sets the blend mode to be used in the transparent imaging model [PDF:1.7:7.2.4].
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
double | FillAlpha`[get, set]`
| Gets/Sets the nonstroking alpha constant, specifying the constant shape or constant opacity value to be used for nonstroking operations in the transparent imaging model [PDF:1.7:7.2.6].
Font | Font`[get, set]`
double | FontSize`[get, set]`
LineCapEnum | LineCap`[get, set]`
LineDash | LineDash`[get, set]`
LineJoinEnum | LineJoin`[get, set]`
double | LineWidth`[get, set]`
double | MiterLimit`[get, set]`
double | StrokeAlpha`[get, set]`
| Gets/Sets the stroking alpha constant, specifying the constant shape or constant opacity value to be used for stroking operations in the transparent imaging model [PDF:1.7:7.2.6].

##

Graphics state parameters [PDF:1.6:4.3.4].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.ExtGState.ExtGState | ( | Document | context | ) |

## Member Function Documentation

void org.pdfclown.documents.contents.ExtGState.ApplyTo | ( | ContentScanner.GraphicsState | state | ) |

Referenced by org.pdfclown.documents.contents.objects.ApplyExtGState.Scan().

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static ExtGState org.pdfclown.documents.contents.ExtGState.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

Wraps the specified base object into a graphics state parameter dictionary object.

Parameters:

  | baseObject | Base object of a graphics state parameter dictionary object.

Returns:
  Graphics state parameter dictionary object corresponding to the base object.

## Property Documentation

bool org.pdfclown.documents.contents.ExtGState.AlphaShape`[get, set]`

Gets/Sets whether the current soft mask and alpha constant are to be interpreted as shape values instead of opacity values.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

IList<BlendModeEnum> org.pdfclown.documents.contents.ExtGState.BlendMode`[get, set]`

Gets/Sets the blend mode to be used in the transparent imaging model [PDF:1.7:7.2.4].

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

double org.pdfclown.documents.contents.ExtGState.FillAlpha`[get, set]`

Gets/Sets the nonstroking alpha constant, specifying the constant shape or constant opacity value to be used for nonstroking operations in the transparent imaging model [PDF:1.7:7.2.6].

Font org.pdfclown.documents.contents.ExtGState.Font`[get, set]`

double org.pdfclown.documents.contents.ExtGState.FontSize`[get, set]`

LineCapEnum org.pdfclown.documents.contents.ExtGState.LineCap`[get, set]`

LineDash org.pdfclown.documents.contents.ExtGState.LineDash`[get, set]`

LineJoinEnum org.pdfclown.documents.contents.ExtGState.LineJoin`[get, set]`

double org.pdfclown.documents.contents.ExtGState.LineWidth`[get, set]`

double org.pdfclown.documents.contents.ExtGState.MiterLimit`[get, set]`

double org.pdfclown.documents.contents.ExtGState.StrokeAlpha`[get, set]`

Gets/Sets the stroking alpha constant, specifying the constant shape or constant opacity value to be used for stroking operations in the transparent imaging model [PDF:1.7:7.2.6].

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.